.\" sch-rnd - manual\\n Copyright (C) 2022 Tibor 'Igor2' Palinkas\\n
.\"\\n
.\"This program is free software; you can redistribute it and/or modify\\n
.\"it under the terms of the GNU General Public License as published by\\n
.\"the Free Software Foundation; either version 2 of the License, or\\n
.\"(at your option) any later version.\\n
.\"\\n
.\"This program is distributed in the hope that it will be useful,\\n
.\"but WITHOUT ANY WARRANTY; without even the implied warranty of\\n
.\"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\\n
.\"GNU General Public License for more details.\\n
.\"\\n
.\"You should have received a copy of the GNU General Public License along\\n
.\"with this program; if not, write to the Free Software Foundation, Inc.,\\n
.\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.\\n
.\"\\n
.\"Contact: sch-rnd-man[removethis]@igor2.repo.hu
.TH sch-rnd 1 2022-09-29 "" "sch-rnd manual"

.SH NAME
sch-rnd - Schematics editor
.SH SYNPOSIS
.nf
.sp
\fBsch-rnd [\fIoptions\fB] [\fIinputfile\fB]
.fi
.SH DESCRIPTION

.BR sch-rnd
is a modular schematics capture (editor). The main use is interactive editing. If no \fI-x\fR is specified on the command line, the graphical editor mode is initiated.
Automated, headless processing is also possible with \fI-x\fR or\fI--gui batch\fR\&.
.SH OPTIONS


.TP

.B --help \fItopic\fR 
Print help about \fItopic\fR and exit; if no topic is specified, print available topics.

.TP

.B -x \fIexporter\fR [\fIexportflags] \fIinputfile\fR\fR 
Instead of interactive editing, export the design (loaded from \fIinputfile\fR) to a file using the specified \fIexporter\fR plugin. A list of exporter-specific parameters may follow to control the details of the process. 
.TP

.B --gui \fIhid\fR 
Use the \fIhid\fR plugin for the "gui" frontend. Common choices are "gtk2_gdk" or "lesstif" for graphical user interfaces
and "batch" for a headless command-line interface (or automated
batch processing). 
.TP

.B -c \fIpath=val\fR 
Set a config node in role CFR_CLI. The path of the node is \fIpath\fR (e.g. editor/grid) and the new value is \fIval\fR (e.g. 5mm).
.PP

